# Chatbot triggers

## Lists all triggers for a chatbot.

> \
> \
> \*\*Required Permission:\*\* \`chatbots.triggers.list\`\
> \
> \*\*Resource:\*\* \`chatbots/:chatbotId\`

```json
{"openapi":"3.0.0","info":{"title":"ChatCaptain API","version":"1.0"},"tags":[{"name":"Chatbot triggers","description":""}],"servers":[{"url":"https://api.chatcaptain.com","description":"Production"}],"security":[{},{}],"paths":{"/v1/chatbots/{chatbotId}/triggers":{"get":{"operationId":"ChatbotTriggerController_listTriggers[1]_v1","parameters":[{"name":"chatbotId","required":true,"in":"path","description":"The ID of the chatbot.","schema":{"type":"string"}}],"responses":{"200":{"description":"A list of all triggers.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListTriggersResponseDto"}}}},"403":{"description":"Insufficient permissions."}},"summary":"Lists all triggers for a chatbot.","tags":["Chatbot triggers"],"description":"\n\n**Required Permission:** `chatbots.triggers.list`\n\n**Resource:** `chatbots/:chatbotId`"}}},"components":{"schemas":{"ListTriggersResponseDto":{"type":"object","properties":{"triggers":{"description":"A list of triggers for the chatbot.","type":"array","items":{"$ref":"#/components/schemas/TriggerDto"}},"error":{"type":"string","description":"Optional error message."}},"required":["triggers"]},"TriggerDto":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the trigger."},"created":{"type":"string","description":"Creation timestamp (ISO format)."},"updated":{"type":"string","description":"Last updated timestamp (ISO format)."},"event":{"type":"string","description":"The event that triggers the action."},"payload":{"type":"string","description":"An optional payload required for triggering the event."},"actor":{"description":"Defines which action (e.g., which Flow) will be executed.","allOf":[{"$ref":"#/components/schemas/TriggerActorDto"}]}},"required":["id","created","updated","event","actor"]},"TriggerActorDto":{"type":"object","properties":{"flowId":{"type":"string","description":"The ID of the Flow that the step resides in."},"stepId":{"type":"string","description":"The ID of the step that is triggered."}},"required":["flowId","stepId"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chatcaptain.com/api/api-dokumentation/chatbot-triggers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
